> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate public token

> Creates a temporary public access token for sharing a file without authentication



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json post /api/v1/files/{file_uuid}/public-token
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/files/{file_uuid}/public-token:
    post:
      tags:
        - public
      summary: Generate public token
      description: >-
        Creates a temporary public access token for sharing a file without
        authentication
      parameters:
        - description: File UUID
          name: file_uuid
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/models.PublicTokenRequest'
        description: Token generation request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.PublicTokenResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.PublicTokenRequest:
      type: object
      properties:
        bucket_uuid:
          type: string
        expires_at:
          type: string
        file_uuid:
          type: string
    models.PublicTokenResponse:
      type: object
      properties:
        bucket_uuid:
          type: string
        expires_at:
          type: string
        file_uuid:
          type: string
        token:
          type: string
        url:
          type: string
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````